Bug 1129879 - broken package dependencies
Summary: broken package dependencies
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: GraphicsMagick
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Thienemann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 20:27 UTC by Ömer Fadıl Usta
Modified: 2014-08-14 13:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-14 13:14:06 UTC


Attachments (Terms of Use)

Description Ömer Fadıl Usta 2014-08-13 20:27:55 UTC
[kde-dev@sakura akonadi]$ sudo yum install GraphicsMagick
Loaded plugins: langpacks
Resolving Dependencies
--> Running transaction check
---> Package GraphicsMagick.x86_64 0:1.3.19-7.fc21 will be installed
--> Processing Dependency: libjbig.so.2.0()(64bit) for package: GraphicsMagick-1.3.19-7.fc21.x86_64
--> Finished Dependency Resolution
Error: Package: GraphicsMagick-1.3.19-7.fc21.x86_64 (rawhide)
           Requires: libjbig.so.2.0()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 1 Rex Dieter 2014-08-14 01:05:24 UTC
jbigkit library soname changed (without an announcement?  did I miss it?)

Was this intentional?

Comment 3 Jiri Popelka 2014-08-14 09:04:09 UTC
(In reply to Rex Dieter from comment #1)
> jbigkit library soname changed (without an announcement?  did I miss it?)

I sent an email to Andreas.

> Was this intentional?

It was intentional, but not necessary actually, see bug #1129873.
Next time (if there will be any) we need to be more cautious.

Next mass-rebuild (https://fedorahosted.org/rel-eng/ticket/5962) should fix the problem anyway.

Comment 4 Rex Dieter 2014-08-14 13:11:48 UTC
OK, please send an announcement or notification as you see fit, see:
http://fedoraproject.org/wiki/Updates_Policy#Rawhide_.2F_devel_.2F_master

"... notify maintainers who depend on their package to rebuild when there are abi/api changes that require rebuilds in other packages or offer to do these rebuilds for them."

Thanks.

Comment 5 Rex Dieter 2014-08-14 13:14:06 UTC
Looks like orion already fixed GM (thanks).

* Wed Aug 13 2014 Orion Poplawski <orion@cora.nwra.com> - 1.3.19-8
- Rebuild for libjbig soname bump


Note You need to log in before you can comment on or make changes to this bug.